package com.xhpc.evcs;

import com.xhpc.evcs.domain.EtOrderMapping;
import com.xhpc.evcs.jpa.OrderMappingRepository;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.annotation.Rollback;

import javax.annotation.Resource;

@SpringBootTest
public class OrderMappingTest {

    @Resource
    private OrderMappingRepository orderMappingRepository;

    @Test
    @Rollback(false)
    public void save() {

        EtOrderMapping o = new EtOrderMapping();
        o.setXhOrderNo("123");
        o.setEvcsOrderNo("123");
        orderMappingRepository.save(o);
    }

}
